Bug 184592 - Shutdown command needs to be root level command
Summary: Shutdown command needs to be root level command
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-10 01:55 UTC by Leslie Satenstein
Modified: 2014-03-17 02:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 18:47:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leslie Satenstein 2006-03-10 01:55:16 UTC
Description of problem:

Any user can do a sustem shutdown as the command is not root level protected

Version-Release number of selected component (if applicable):

core4 / core5

How reproducible:

Issue shutdown command from general or guest user

Steps to Reproduce:
1.
2.
3.
  
Actual results:

System shuts down

Expected results:

Administrator password should be prompted for, if not root logon. That is,
shutdown should only be available from the root logon administration level. 

Additional info:
If the pc is behind a barrier, then the shutdown button is not available and the
system will not be able to suffer an unauthorized shutdown.

Comment 1 Jindrich Novy 2006-03-10 09:36:59 UTC
shutdown/reboot/poweroff/halt stuff belong to SysVinit.

Please reassign back if fixing on usermode side is needed.

Comment 2 Bill Nottingham 2006-03-10 18:47:55 UTC
This is normal behavior of the usermode symlinks; the console user can shut down.

You can change this behavior by editing/removing
/etc/security/console.apps/{shutdown,reboot}.

Comment 3 David Lawrence 2007-06-22 02:10:43 UTC
Package name is now sysvinit in Fedora.


Note You need to log in before you can comment on or make changes to this bug.